Bug 558162 - system-config-printer-udev: not working
system-config-printer-udev: not working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
: 576616 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-23 21:06 EST by Rick Richardson
Modified: 2012-08-07 15:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:43:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Richardson 2010-01-23 21:06:19 EST
HP LaserJets 1018, 1020, P1005, P1006 don't work on F12.  

From messages:
Jan 23 07:32:54 kathleen kernel: usb 1-7: new high speed USB device using ehci_hcd and address 3
Jan 23 07:32:54 kathleen kernel: usb 1-7: New USB device found, idVendor=03f0, idProduct=4117
Jan 23 07:32:54 kathleen kernel: usb 1-7: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Jan 23 07:32:54 kathleen kernel: usb 1-7: Product: HP LaserJet 1018
Jan 23 07:32:54 kathleen kernel: usb 1-7: Manufacturer: Hewlett-Packard
Jan 23 07:32:54 kathleen kernel: usb 1-7: SerialNumber: KP0V4J0
Jan 23 07:32:54 kathleen kernel: usb 1-7: configuration #1 chosen from 1 choice
Jan 23 07:32:54 kathleen kernel: usblp0: USB Bidirectional printer dev 3 if 0 alt 0 proto 2 vid 0x03F0 pid 0x4117
Jan 23 07:32:54 kathleen /etc/hotplug/usb/hplj1018: foo2zjs: loading HP LaserJet 1018 firmware /usr/share/foo2zjs/firmware/sihp1018.dl to /dev/usb/lp0 ...
Jan 23 07:32:54 kathleen udev-configure-printer: invalid or missing IEEE 1284 Device ID
Jan 23 07:32:55 kathleen /etc/hotplug/usb/hplj1018: foo2zjs: ... download successful.
Jan 23 07:33:00 kathleen hp[2053]: io/hpmud/musb.c 136: unable get_string_descriptor -110: Connection timed out
Jan 23 07:33:00 kathleen hp[2053]: io/hpmud/musb.c 1997: invalid product id string ret=-110
Jan 23 07:33:01 kathleen python: io/hpmud/musb.c 136: unable get_string_descriptor -110: Connection timed out
Jan 23 07:33:01 kathleen python: io/hpmud/musb.c 1997: invalid product id string ret=-110
Jan 23 07:33:05 kathleen hp[2053]: io/hpmud/musb.c 136: unable get_string_descriptor -110: Connection timed out
Jan 23 07:33:05 kathleen hp[2053]: io/hpmud/musb.c 2002: invalid serial id string ret=-110
Jan 23 07:33:06 kathleen python: io/hpmud/musb.c 136: unable get_string_descriptor -110: Connection timed out
Jan 23 07:33:06 kathleen python: io/hpmud/musb.c 2002: invalid serial id string ret=-110
Jan 23 07:33:10 kathleen hp[2053]: io/hpmud/musb.c 136: unable get_string_descriptor -110: Connection timed out
Jan 23 07:33:10 kathleen hp[2053]: io/hpmud/musb.c 2007: invalid manufacturer string ret=-110

Fix is to:

# yum remove system-config-printer-udev
# reboot

Then everything works again.

Jan 23 19:38:26 kathleen kernel: usb 1-7: new high speed USB device using ehci_hcd and address 6
Jan 23 19:38:26 kathleen kernel: usb 1-7: New USB device found, idVendor=03f0, idProduct=4117
Jan 23 19:38:26 kathleen kernel: usb 1-7: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Jan 23 19:38:26 kathleen kernel: usb 1-7: Product: HP LaserJet 1018
Jan 23 19:38:26 kathleen kernel: usb 1-7: Manufacturer: Hewlett-Packard
Jan 23 19:38:26 kathleen kernel: usb 1-7: SerialNumber: KP0V4J0
Jan 23 19:38:26 kathleen kernel: usb 1-7: configuration #1 chosen from 1 choice
Jan 23 19:38:26 kathleen kernel: usblp0: USB Bidirectional printer dev 6 if 0 alt 0 proto 2 vid 0x03F0 pid 0x4117
Jan 23 19:38:26 kathleen kernel: usbcore: registered new interface driver usblp
Jan 23 19:38:26 kathleen /etc/hotplug/usb/hplj1018: foo2zjs: loading HP LaserJet 1018 firmware /usr/share/foo2zjs/firmware/sihp1018.dl to /dev/usb/lp0 ...
Jan 23 19:38:27 kathleen /etc/hotplug/usb/hplj1018: foo2zjs: ... download successful.
Jan 23 19:40:14 kathleen foo2zjs-wrapper: foo2zjs-wrapper -P -z1 -L0 -r1200x600 -p1 -m1 -s7
Jan 23 19:40:17 kathleen foo2zjs-wrapper: gs -sPAPERSIZE=letter -g10200x6600 -r1200x600 -sDEVICE=pbmraw -dCOLORSCREEN -dMaxBitmap=500000000
Jan 23 19:40:17 kathleen foo2zjs-wrapper: foo2zjs -r1200x600 -g10200x6600 -p1 -m1 -n1 -d1 -s7 -z1  -u 192x96 -l 192x96 -L 0     -P

And:

$ usb_printerid /dev/usb/lp0
GET_DEVICE_ID string:
MFG:Hewlett-Packard;MDL:HP LaserJet 1018;CMD:ACL;CLS:PRINTER;DES:HP LaserJet 1018;FWVER:20051028;
Comment 1 Rick Richardson 2010-02-10 17:09:37 EST
Another data point:

http://foo2zjs.rkkda.com/forum/read.php?43,2458
Comment 2 Tim Waugh 2010-03-29 12:16:50 EDT
*** Bug 576616 has been marked as a duplicate of this bug. ***
Comment 3 Bug Zapper 2010-11-03 20:05:32 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-02 12:46:32 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Rick Richardson 2011-06-02 13:38:10 EDT
# yum remove system-config-printer-udev
Worked good F13, F14.  But now,

# yum remove system-config-printer-udev
Can't remove in F15, conflicts with ~12 packages...

# rpm -e --nodeps system-config-printer-udev

Works good!
Comment 6 Tim Waugh 2011-06-03 04:53:35 EDT
mkasik: gnome-settings-daemon probably shouldn't require system-config-printer-udev.  It should get installed automatically from comps so a requirement isn't necessary.
Comment 7 Marek Kašík 2011-06-03 06:59:28 EDT
(In reply to comment #6)
> mkasik: gnome-settings-daemon probably shouldn't require
> system-config-printer-udev.  It should get installed automatically from comps
> so a requirement isn't necessary.

Hi Tim,

thank you for your information. I'll ask the control-center's maintainer to remove it then (together with some patches, so it may take few days before the update will be ready).
Btw, there is also another report on this for rawhide: https://bugzilla.redhat.com/show_bug.cgi?id=704381.

Regards

Marek
Comment 8 Fedora End Of Life 2012-08-07 15:43:53 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.